Skip to navigation

Update a network

Only the fields sent change. A base network’s name and filters cannot change; its CPOs and access settings can.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

network_idintegerRequired>=1

The network’s network_id.

Request

This endpoint expects an object.
namestring or nullOptional1-255 characters
descriptionstring or nullOptional
cpo_idslist of strings or nullOptional
publicly_accessibleboolean or nullOptional
auto_accept_cpo_additionsboolean or nullOptional
countrieslist of strings or nullOptional
power_typeslist of strings or nullOptional
parking_typeslist of strings or nullOptional
facilitieslist of strings or nullOptional

Response

The network after the update.
network_idinteger
namestring
network_typeenum or any
publishedboolean
publish_stateenum or any
organization_idstring
emp_identity_idinteger
cpo_idslist of strings
protocolstring
publicly_accessibleboolean
auto_accept_cpo_additionsboolean
created_atdatetime
updated_atdatetime
unpublish_started_atdatetime or nullOptional
unpublish_drain_untildatetime or nullOptional
descriptionstring or nullOptional
parent_network_idinteger or nullOptional
countrieslist of strings or nullOptional
power_typeslist of strings or nullOptional
parking_typeslist of strings or nullOptional
facilitieslist of strings or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error